Bug 70928 - GUI Can't Config non-PNP ISA Sound Card
Summary: GUI Can't Config non-PNP ISA Sound Card
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-soundcard (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-06 23:34 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-08 23:49:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-08-06 23:34:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
redhat-config-soundcard tries to detect a soundcard, but if it fails to detect
one, will not let you configure it by hand--you must invent your own
/etc/modules.conf entries.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install SoundBlaster clone ISA card, jumpered to particular settings.
2. Run redhat-config-soundcard
3. redhat-config-soundcard displays "No sound card detected" and quits.
	

Actual Results:  sndconfig simply crashed upon launching, so it was no help.
Ultimately, I ended up piecing together workable /etc/modules.conf entries from
newsgroup archives, so it CAN be done.

Expected Results:  I would have liked to see some of sndconfig's old behavior
when autodetect is not possible--choose from the following non-PNP sound card,
enter the interrupt, the mio, blah, blah, blah, and hit "test" and hear Linus
say "hello."

Additional info:

Comment 1 Fabricio C Zuardi 2002-08-08 23:49:41 UTC
Same problem.

With sndconfig I get it into a loop, it says that "An error occurred opening
/dev/audio" and returns to the Card Settings window, the Cancel button don't work.


Comment 2 Brent Fox 2002-08-13 20:26:13 UTC
There's no time left for this release to make redhat-config-soundcard work with
ISA non-PNP cards.  I have to be honest with you, given our current ratio of
things that need to be done to engineers actually working on them, I doubt that
building support for ISA non-PNP sound cards will ever become a priority. 

If sndconfig hung or crashed for you, please file a separate bug against that. 
Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.